# other
effect @a saturation 10 255 true
kill @e[type=item,name="Oak Sign"]
kill @e[type=item,name="Birch Sign"]
kill @e[type=item,name="Skeleton Skull"]
replaceitem entity @e[name="Armored Zombie"] slot.armor.chest 0 z:vest_4
replaceitem entity @e[type=creeper] slot.weapon.mainhand 0 z:grenadelauncher
replaceitem entity @e[type=skeleton] slot.weapon.mainhand 0 z:pistol
replaceitem entity @e[type=z:smg_zombie] slot.weapon.mainhand 0 z:smg
fog @a push minecraft:fog_basalt_deltas fog

# spectator

tag @a[tag=dead] remove downed
effect @a[tag=dead] invisibility 1 255 true
effect @a[tag=dead] weakness 1 255 true
effect @a[tag=dead] speed 1 4 true
effect @a[tag=dead] instant_health 1 255 true
effect @a[tag=dead] resistance 1 255 true
execute @a[tag=dead] ~~~ execute @e[type=item,r=2.5] ~~~ tellraw @a[tag=dead,r=2.5] {"rawtext":[{"text":"§4§l[!] §r§cYou are not allowed to go near items as a spectator. Fly away"}]}
execute @a[tag=dead] ~~~ execute @e[type=item,r=2.5] ~~~ tp @a[tag=dead,r=2.5] ~ ~3 ~

# spectate new players
execute @a[tag=gameStarted] ~~~ execute @a[tag=!gameStarted] ~~~ function game/inProgress





# UI

# display sidebar
execute @a[scores={nextWave=900..1000},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}]}
execute @a[scores={nextWave=900..1000},tag=!downed,tag=dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}]}

# display sidebar w/ active trial
execute @a[scores={nextWave=900..1000,trial=1},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bComplete this wave\nwithout taking damage"}]}
execute @a[scores={nextWave=900..1000,trial=2},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bKnife zombies\n§3Progress: §b"}, {"score":{"name": "@s","objective": "knife"}}, {"text": "/40"}]}
execute @a[scores={nextWave=900..1000,trial=3},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bKnife zombies\n§3Progress: §b"}, {"score":{"name": "@s","objective": "knife"}}, {"text": "/80"}]}
execute @a[scores={nextWave=900..1000,trial=4},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bOpen common\nchests\n§3Progress: §b"}, {"score":{"name": "@s","objective": "chest0"}}, {"text": "/10"}]}
execute @a[scores={nextWave=900..1000,trial=5},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bOpen rare chests\n§3Progress: §b"}, {"score":{"name": "@s","objective": "chest1"}}, {"text": "/10"}]}
execute @a[scores={nextWave=900..1000,trial=6},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bOpen legendary\nchests\n§3Progress: §b"}, {"score":{"name": "@s","objective": "chest2"}}, {"text": "/10"}]}
execute @a[scores={nextWave=900..1000,trial=7},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bKnife zombies\nin Yellow House\n§3Progress: §b"}, {"score":{"name": "@s","objective": "yellowhouse"}}, {"text": "/40"}]}
execute @a[scores={nextWave=900..1000,trial=8},tag=!downed,tag=!dead,tag=gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}, {"text": "\n\n§3§lActive Trial:\n§r§bKnife zombies\nin Parking Lot\n§3Progress: §b"}, {"score":{"name": "@s","objective": "parkinglot"}}, {"text": "/40"}]}

# lobby sidebar
execute @a[tag=!gameStarted] ~~~ titleraw @s actionbar {"rawtext": [{"text": "§4§lWelcome to Zombobs\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}]}

# display message
execute @a[tag=!downed,tag=!dead,tag=power,scores={nextWave=900..1000}] ~~~ detect ~ ~-1 ~ amethyst_block 0 titleraw @s actionbar {"rawtext": [{"text": "§l§4[!] §r§cThe wave must\nbe over to teleport!"}, {"text": "\n§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}]}
execute @a[tag=!downed,tag=!dead,tag=power,scores={nextWave=..5}] ~~~ detect ~ ~-1 ~ amethyst_block 0 titleraw @s actionbar {"rawtext": [{"text": "§l§4[!] §r§cThere must be\natleast 5 seconds\nremaining to teleport!"}, {"text": "\n§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}]}
execute @a[tag=!downed,tag=!dead,tag=!power] ~~~ detect ~ ~-1 ~ amethyst_block 0 titleraw @s actionbar {"rawtext": [{"text": "§l§4[!] §r§cThe power must\nbe enabled to teleport!"}, {"text": "\n§4§lWave: §r§c"}, {"score":{"name": "@s","objective": "wave"}}, {"text": "\n§1§lPoints: §r§9"}, {"score":{"name": "@s","objective": "points"}}, {"text": "\n§g§lCoins: §r§e"}, {"score":{"name": "@s","objective": "coins"}}, {"text": "\n§f§lAmmo: §r§f"}, {"score":{"name": "@s","objective": "ammo"}}]}









# mycelium
execute @a[m=a,tag=!noMycelium] ~~~ detect ~~-1~ mycelium 0 effect @s blindness 2 255 true
execute @a[m=a,tag=!noMycelium] ~~~ detect ~~-1~ mycelium 0 effect @s wither 1 1 true


# tagging
tag @e[type=zombie] add mob
tag @e[type=skeleton] add mob
tag @e[type=creeper] add mob
tag @e[type=z:smg_zombie] add mob

tag @a add friendly
tag @e[type=z:cpu] add friendly

# perks
execute @a[tag=slower,tag=!slower2] ~~~ effect @e[tag=mob,r=5] slowness 1 2 false
execute @a[tag=slower,tag=slower2] ~~~ effect @e[tag=mob,r=10] slowness 1 2 false


effect @a[tag=stamina,tag=!stamina2] speed 1 2 true
effect @a[tag=stamina,tag=stamina2] speed 1 3 true


execute @a[tag=noMycelium,tag=noMycelium2] ~~~ detect ~~-1~ mycelium 0 effect @s[scores={mycelium=-20}] regeneration 3 1
execute @a[tag=noMycelium,tag=noMycelium2] ~~~ detect ~~-1~ mycelium 0 scoreboard players set @s[scores={mycelium=-20}] mycelium 60
execute @a[tag=noMycelium,tag=noMycelium2] ~~~ detect ~~-1~ mycelium 0 scoreboard players set @s[scores={mycelium=..0}] mycelium -20
scoreboard players remove @a[scores={mycelium=0..}] mycelium 1


# TRIALS

# knife 80
title @a[scores={knife=80..,trial=3}] title §l§2Trial Completed
scoreboard players add @a[scores={knife=80..,trial=3}] coinsEarned 10
scoreboard players add @a[scores={knife=80..,trial=3}] coins 10
scoreboard players add @a[scores={knife=80..,trial=3}] points 1000
scoreboard players set @a[scores={knife=80..,trial=3}] trial 0

# knife 40
title @a[scores={knife=40..,trial=2}] title §l§2Trial Completed
scoreboard players add @a[scores={knife=40..,trial=2}] points 600
scoreboard players set @a[scores={knife=40..,trial=2}] trial 0